<?php
/**
 * @file
 * Contains \Drupal\instapage\Routing\PagesRoutes.
 */

namespace Drupal\instapage\Routing;

use Symfony\Component\Routing\Route;

/**
 * Defines dynamic routes.
 */
class PagesRoutes {

  /**
   * {@inheritdoc}
   */
  public function routes() {
    $routes = array();
    $config = \Drupal::config('instapage.pages');
    $pages = $config->get('instapage_pages');

    if ($pages) {
      foreach ($pages as $instapage_id => $path) {
        $route_key = 'instapage.pages.' . $instapage_id;
        $routes[$route_key] = new Route(
          $path,
          array(
            '_controller' => '\Drupal\instapage\Controller\PageDisplayController::content',
            'instapage_id' => $instapage_id,
          ),
          array(
            '_permission' => 'access content',
          )
        );
      }
    }
    
    return $routes;
  }

}